Mail archive
alpine-aports

[alpine-aports] [PATCH] main/gnutls: upgrade to 3.4.16 and run tests

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Fri, 21 Oct 2016 22:36:19 -0400

---
 main/gnutls/APKBUILD | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)
diff --git a/main/gnutls/APKBUILD b/main/gnutls/APKBUILD
index 9e65409..d338a46 100644
--- a/main/gnutls/APKBUILD
+++ b/main/gnutls/APKBUILD
_at_@ -2,7 +2,7 @@
 # Contributor: Michael Mason <ms13sp_at_gmail.com>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=gnutls
-pkgver=3.4.15
+pkgver=3.4.16
 pkgrel=0
 pkgdesc="A TLS protocol implementation"
 url="http://www.gnutls.org/"
_at_@ -37,11 +37,12 @@ build() {
 		--disable-valgrind-tests \
 		|| return 1
 	make || return 1
+	make check || return 1
 }
 
 package() {
 	make -j1 DESTDIR="$pkgdir" \
-		-C "$builddir" install
+		-C "$builddir" install || return 1
 }
 
 utils() {
_at_@ -56,6 +57,6 @@ xx() {
 	mv "$pkgdir"/usr/lib/lib*xx.so.* "$subpkgdir"/usr/lib/
 }
 
-md5sums="4ea5b239bd8bf1b734dda02997b36459  gnutls-3.4.15.tar.xz"
-sha256sums="eb2a013905f5f2a0cbf7bcc1d20c85a50065063ee87bd33b496c4e19815e3498  gnutls-3.4.15.tar.xz"
-sha512sums="03157f2da22890ecd080ad58144a9aabe933382c0b7e969b7b194a0248bb5e6e25207078c0a92755650d0004970eb1c0cf0140dbdbf2e615808f9978e965a5e5  gnutls-3.4.15.tar.xz"
+md5sums="c73afab887cce4064df94283d13d825d  gnutls-3.4.16.tar.xz"
+sha256sums="d99abb1b320771b58c949bab85e4b654dd1e3e9d92e2572204b7dc479d923927  gnutls-3.4.16.tar.xz"
+sha512sums="4decbb35b47181e47e601fb40d21b9a6d1a5343cb711db63c816226a4a230b3b0b904da05a1e4c4222fc64014beeb7f62762699cad418004602c7b7b6f19112f  gnutls-3.4.16.tar.xz"
-- 
2.10.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Oct 21 2016 - 22:36:19 GMT